Bug 28034 - Add DataTables to lists of clubs in "Clubs" tabs on patron account
Summary: Add DataTables to lists of clubs in "Clubs" tabs on patron account
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-25 16:20 UTC by Jason Robb
Modified: 2021-07-31 20:45 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28034: Make club enrollment tables in to DataTables (1.82 KB, patch)
2021-03-25 18:05 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28034: Make club enrollment tables in to DataTables (2.50 KB, patch)
2021-03-26 14:34 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28034: Make club enrollment tables in to DataTables (2.56 KB, patch)
2021-03-26 15:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28034: Make club enrollment tables in to DataTables (2.56 KB, patch)
2021-03-27 16:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Robb 2021-03-25 16:20:21 UTC
The tables in the Clubs tabs at circulation.pl and moremember.pl are basic html. We're up to 154 clubs and growing so navigating those tables can be cumbersome.

It would be nice if those tables were given the DataTables treatment with pagination and a search box to keep the page length reasonable and make it easier to navigate to a specific club using the search filter.
Comment 1 Lucas Gass 2021-03-25 18:05:11 UTC
Created attachment 118834 [details] [review]
Bug 28034: Make club enrollment tables in to DataTables

To test:
-Add some clubs
-Go to a patron record and enroll them in some clubs but not in others.
-There should be two table under the clubs tab, Clubs currently enrolled in and Clubs not enrolled in
-Neither are DataTables
-Apply patch
-With the same patron check the clubs tab, they should be datatables now
-Make sure all the controls, pagination works good

https://bugs.koha-community.org/show_bug.cgi?id=28033
Comment 2 Owen Leonard 2021-03-26 13:26:15 UTC
Could you add the "NoSort" class to the "Actions" table header?
Comment 3 Lucas Gass 2021-03-26 14:34:48 UTC
Created attachment 118864 [details] [review]
Bug 28034: Make club enrollment tables in to DataTables

To test:
-Add some clubs
-Go to a patron record and enroll them in some clubs but not in others.
-There should be two table under the clubs tab, Clubs currently enrolled in and Clubs not enrolled in
-Neither are DataTables
-Apply patch
-With the same patron check the clubs tab, they should be datatables now
-Make sure all the controls, pagination works good

https://bugs.koha-community.org/show_bug.cgi?id=28033
Comment 4 Owen Leonard 2021-03-26 15:46:17 UTC
Created attachment 118868 [details] [review]
Bug 28034: Make club enrollment tables in to DataTables

To test:
-Add some clubs
-Go to a patron record and enroll them in some clubs but not in others.
-There should be two table under the clubs tab, Clubs currently
 enrolled in and Clubs not enrolled in
-Neither are DataTables
-Apply patch
-With the same patron check the clubs tab, they should be datatables
 now
-Make sure all the controls, pagination works good

https://bugs.koha-community.org/show_bug.cgi?id=28033

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2021-03-27 16:02:15 UTC
Created attachment 118908 [details] [review]
Bug 28034: Make club enrollment tables in to DataTables

To test:
-Add some clubs
-Go to a patron record and enroll them in some clubs but not in others.
-There should be two table under the clubs tab, Clubs currently
 enrolled in and Clubs not enrolled in
-Neither are DataTables
-Apply patch
-With the same patron check the clubs tab, they should be datatables
 now
-Make sure all the controls, pagination works good

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-04-07 14:38:42 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-04-19 09:59:21 UTC
Enhancement not pushed to 20.11.x